import request from "@/api/request";
import type { ID } from "@/api/common";

// 查询库位列表
export function listStorageLocation(params: any) {
  return request({
    url: "/wip/storageLocation/list",
    method: "get",
    params,
  });
}

// 高级查询库位列表
export function advListStorageLocation(params: any) {
  return request({
    url: "/wip/storageLocation/advList",
    method: "get",
    params,
  });
}

// 查询库位详细
export function getStorageLocation(id: ID) {
  return request({
    url: "/wip/storageLocation/" + id,
    method: "get",
  });
}

// 新增库位
export function addStorageLocation(data: any) {
  return request({
    url: "/wip/storageLocation",
    method: "post",
    data,
  });
}

// 修改库位
export function updateStorageLocation(data: any) {
  return request({
    url: "/wip/storageLocation",
    method: "put",
    data,
  });
}

// 删除库位
export function delStorageLocation(id: ID) {
  return request({
    url: "/wip/storageLocation/" + id,
    method: "delete",
  });
}
